Managed Service for OpenSearch API, REST: Cluster.ListLogs
Retrieves logs for the specified OpenSearch cluster.
For detailed description, see the Logs section in the developer's guide.
HTTP request
GET https://mdb.api.cloud.yandex.net/managed-opensearch/v1/clusters/{clusterId}:logs
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. ID of the OpenSearch cluster to request logs for. The maximum string length in characters is 50. |
Query parameters
|
Field |
Description |
|
columnFilter[] |
string Columns from log table to request. |
|
fromTime |
string (date-time) Start timestamp for the logs request. String in RFC3339 To work with values in this field, use the APIs described in the |
|
toTime |
string (date-time) End timestamp for the logs request. String in RFC3339 To work with values in this field, use the APIs described in the |
|
pageSize |
string (int64) The maximum number of results per page to return. The maximum value is 1000. |
|
pageToken |
string Page token. To get the next page of results, set The maximum string length in characters is 100. |
|
alwaysNextPageToken |
boolean The service always returns a ListClusterLogsResponse.nextPageToken, even if the current page is empty. |
|
filter |
string A filter expression that filters resources listed in the response.
The maximum string length in characters is 1000. |
|
serviceType |
enum (ServiceType) Type of the service to request logs about.
|
Response
HTTP Code: 200 - OK
{
"logs": [
{
"timestamp": "string",
"message": "object"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
logs[] |
Requested log records. |
|
nextPageToken |
string This token allows you to get the next page of results for list requests. |
LogRecord
|
Field |
Description |
|
timestamp |
string (date-time) Time when the log was recorded. String in RFC3339 To work with values in this field, use the APIs described in the |
|
message |
object (map<string, string>) Contents of the log record. |